/*******************************************************************************
 * TwitterIntegrationPC generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class TwitterIntegrationPC extends TwitterIntegrationBase
    transient
    native(PlatformInterface)
    config(Engine);

enum TwitterAuthError
{
    TAE_OK,
    TAE_NeedUserPass,
    TAE_NeedPIN,
    TAE_Fail,
    TAE_MAX
};

var init string UserName;
var init string Password;
var init string Pin;
var init config string OAuthTokenKey;
var init config string OAuthTokenSecret;
var bool bUseProxyServer;
var init string ProxyServerIP;
var int ProxyServerPort;
var init string ProxyServerUserName;
var init string ProxyServerPassword;

// Export UTwitterIntegrationPC::execInit(FFrame&, void* const)
native event Init();

// Export UTwitterIntegrationPC::execAuthenticate(FFrame&, void* const)
native function TwitterIntegrationPC.TwitterAuthError Authenticate();

// Export UTwitterIntegrationPC::execTweetStatus(FFrame&, void* const)
native function bool TweetStatus(string NewStatus);

// Export UTwitterIntegrationPC::execIsLoggedIn(FFrame&, void* const)
native function bool IsLoggedIn();

// Export UTwitterIntegrationPC::execClearCredentials(FFrame&, void* const)
native function ClearCredentials();
